<?php
// 	include("erster_name.inc.php");
	include("namen.inc.php");
	require_once $_SERVER['DOCUMENT_ROOT'] . '/db_connection.php';
	$arr_iid = (isset($_POST["arr_iid"])) ? $_POST ["arr_iid"] : "";
	$arr_zeilen=array();
	$arr_sorter=array();
	foreach($arr_iid as $i) {
		if($i < 200000) {
			$sql_select = "SELECT * FROM voxlatina WHERE IID = " .  $i ;
			$sql_result = $db->query($sql_select);
			while ($row = $sql_result->fetch_object()) {
				$ausgabe = "";
				$bis="";
				$iid = $row->IID;
				$autor = $row->Autor;
				$autor = erster_name($autor);
				$titel = $row->Titel;
				$epistula = " – Epistula";
				if ($titel != "" && $autor != "")  { $titel = " &ndash; " . $titel; }
				if ($autor == "") { $epistula = "Epistula"; }
				$p = " p. ". $row->Seite;
				if ($row->Bis  != "") { $bis =  "–" . $row->Bis; $p = " pp. ". $row->Seite; }
				$In = " &ndash; <u>In</u>: Vox Latina, fasc. " . $row->Faszikel . " (tom. " . $row->Band . ", a. " . $row->Jahr . ")," . $p . $bis . ".";
				if($row->Textgattung == "Epistula") {
					$ort = $row->Ort;
					$datum = $row->Briefdatum;
					$briefempfaenger = $row->Briefempfaenger;
					if ($ort != "") { $ort = ", " . erster_name($ort); } else { $ort=erster_name($ort); }
					if ($datum != "")  { $datum = ", " . $datum; }
					if ($briefempfaenger != "") { $briefempfaenger = " → " . erster_name($briefempfaenger); }
					$ausgabe = $autor . $epistula . $ort . $datum . $briefempfaenger . $In;
				} else {
					$ausgabe = $autor . $titel . $In;
				}
			// Ausgabe-String in erstes Wort und alles Folgende zerlegen
				$ew = substr($ausgabe, 0,  strpos($ausgabe, " "));
				$af = substr($ausgabe, strpos($ausgabe, " "));
			// erstes Wort groß und sperren
				$ew_gs = mb_strtoupper($ew, "UTF-8");
				$ew_gs = "<span style='letter-spacing:0.5px;'>$ew_gs</span>";
			// neuer Ausgabe-String in Zeilen-Array
				$ausgabe = $ew_gs . $af . "_" . $iid . "#";
				$arr_zeilen[] = $ausgabe;
			}
		}
	}
	$db->close();
	sort($arr_zeilen);
	echo json_encode($arr_zeilen);
?>
